/**Begin D:\zhaohui_zeng\PDM_UPGRADE\pdm1\MRP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRP_CALCRECORDBOMDATA')
 CREATE TABLE T_MRP_CALCRECORDBOMDATA (
FRUNLOGNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEID BIGINT DEFAULT 0 NOT NULL,
FCREATEORG BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FENTRYQTYTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPRODORGID BIGINT DEFAULT 0 NOT NULL,
FPID BIGINT DEFAULT 0 NOT NULL,
FENTRYUNIT BIGINT DEFAULT 0 NOT NULL,
FENTRYMATERIAL_ID BIGINT DEFAULT 0 NOT NULL,
FENTRYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUPERBOMENTRYID BIGINT DEFAULT 0 NOT NULL,
FENTRYQTYNUMERATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYQTYDENOMINATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPMATERIAL BIGINT DEFAULT 0 NOT NULL,
FENTRYMATERIALATTR VARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONFIGCODE BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSUPERBOMID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\zhaohui_zeng\PDM_UPGRADE\pdm1\MRP_table.sql **/
